www/zopeedit - The NetBSD Packages Collection

Helper client application for Zope's ExternalEditor

The Zope External Editor is a new way to integrate Zope more seamlessly with
client-side tools. It has the following features:
  - Edit objects locally, directly from the ZMI.
  - Works with any graphical editor application that can open a file from the
    command line, including: emacs, gvim, xemacs, nedit, gimp, etc.
  - Automatically saves changes back to Zope without ending the editing
    session.
  - Associate any client-side editor application with any Zope object by
    meta-type or content-type. Both text and binary object content can be
    edited.
  - Locks objects while they are being edited. Automatically unlocks them when
    the editing session ends.
  - Can add file extensions automatically to improve syntax highlighting or
    file type detection.
  - Works with basic auth, cookie auth and Zope versions. Credentials are
    automatically passed down to the helper application. No need to
    reauthenticate.
  - https support (Openssl required)

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/python38 lang/python38

Available binary packages

aarch64:zopeedit-0.7nb7.tgz(NetBSD 9.0)
aarch64:zopeedit-0.7nb7.tgz(NetBSD 9.0)
aarch64:zopeedit-0.7nb8.tgz(NetBSD 9.0)
alpha:zopeedit-0.7nb8.tgz(NetBSD 9.0)
alpha:zopeedit-0.7nb7.tgz(NetBSD 9.0)
earmv6hf:zopeedit-0.7nb8.tgz(NetBSD 9.0)
earmv6hf:zopeedit-0.7nb7.tgz(NetBSD 9.0)
earmv6hf:zopeedit-0.7nb7.tgz(NetBSD 9.0)
earmv6hf:zopeedit-0.7nb8.tgz(NetBSD 9.0)
earmv7hf:zopeedit-0.7nb8.tgz(NetBSD 8.0)
earmv7hf:zopeedit-0.7nb7.tgz(NetBSD 8.0)
earmv7hf:zopeedit-0.7nb7.tgz(NetBSD 8.0)
earmv7hf:zopeedit-0.7nb7.tgz(NetBSD 8.0)
earmv7hf:zopeedit-0.7nb8.tgz(NetBSD 9.0)
earmv7hf:zopeedit-0.7nb7.tgz(NetBSD 9.0)
earmv7hf:zopeedit-0.7nb7.tgz(NetBSD 9.0)
earmv7hf:zopeedit-0.7nb7.tgz(NetBSD 9.0)
earmv7hf:zopeedit-0.7nb8.tgz(NetBSD 9.0)
i386:zopeedit-0.7nb7.tgz(NetBSD 8.0)
i386:zopeedit-0.7nb7.tgz(NetBSD 8.0)
i386:zopeedit-0.7nb8.tgz(NetBSD 8.0)
i386:zopeedit-0.7nb7.tgz(NetBSD 9.0)
i386:zopeedit-0.7nb7.tgz(NetBSD 9.0)
i386:zopeedit-0.7nb8.tgz(NetBSD 9.0)
mips64eb:zopeedit-0.7nb7.tgz(NetBSD 9.0)
powerpc:zopeedit-0.7nb8.tgz(NetBSD 8.0)
powerpc:zopeedit-0.7nb7.tgz(NetBSD 8.0)
powerpc:zopeedit-0.7nb7.tgz(NetBSD 9.0)
powerpc:zopeedit-0.7nb7.tgz(NetBSD 9.0)
sparc64:zopeedit-0.7nb8.tgz(NetBSD 9.0)
sparc64:zopeedit-0.7nb7.tgz(NetBSD 9.0)
sparc64:zopeedit-0.7nb7.tgz(NetBSD 9.0)
sparc:zopeedit-0.7nb7.tgz(NetBSD 9.0)
x86_64:zopeedit-0.7nb7.tgz(NetBSD 9.0)
x86_64:zopeedit-0.7nb8.tgz(NetBSD 9.0)
x86_64:zopeedit-0.7nb8.tgz(NetBSD 9.0)
x86_64:zopeedit-0.7nb7.tgz(NetBSD 9.0)
x86_64:zopeedit-0.7nb7.tgz(NetBSD 8.0)
x86_64:zopeedit-0.7nb7.tgz(NetBSD 8.0)
x86_64:zopeedit-0.7nb8.tgz(NetBSD 8.0)
x86_64:zopeedit-0.7nb7.tgz(NetBSD 9.0)
x86_64:zopeedit-0.7nb7.tgz(NetBSD 9.0)
x86_64:zopeedit-0.7nb8.tgz(NetBSD 9.0)
x86_64:zopeedit-0.7nb8.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]